chunkloader.js
============

Install:
`npm install chunkloader`

Event emitter for lazy scrolling.

```javascript
// Create
var Loader = require('chunkloader')

var loader = new Loader({
	size:1024
})
loader
	.on('start',function(next) {
		console.log('start')
		next()
	})
	.on('chunk',function(chunk,next) {
		something_to_do(function(err) {
			next(err)
		})
	})
	.on('complete',function() {
		console.log('complete')
	})
	// start loading
	loader.load(evt.target.files[0])


```

Option
===

### size
Specify chunk size
default:`1024`

License
===
MIT
