var Loader = require('../')

var loader = new Loader({
	size:1024
})
loader
	.on('start',function(next) {
		console.log('start')
		next()
	})
	.on('chunk',function(chunk,next) {
		setTimeout(function() {
			console.log('chunk:',chunk)
			next()
		},Math.random()*5000)
	})
	.on('complete',function() {
		console.log('complete:',arguments)
	})
document.getElementById('file').addEventListener('change',function(evt) {
	loader.load(evt.target.files[0])
})


